# -*- coding: utf-8 -*-
# pylint: disable=bad-whitespace
# flake8: noqa
"""
    JS Invoke Lib – Project automation library for invoke.
    Copyright ©  2017 Justin Stout <justin@jstout.us>
"""
from __future__ import absolute_import, print_function

import json

def get_project_info():

    with open('/vagrant/project.d/project_info.json', 'r') as fd_in:
        project_info = json.loads(fd_in.read())

    return project_info

def save_project_info(project_info):
    """
    project_info(dict): Updated project info
    """
    filename = '/vagrant/project.d/project_info.json'

    with open(filename, 'w') as fd_out:
        data = json.dumps(project_info, indent=4, sort_keys=True, ensure_ascii=True)
        fd_out.write(data + '\n')
